=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.2.0~),
                shared-mime-info,
-Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
+Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/step
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
@@ -37,7 +37,7 @@
 Package: step
 Architecture: any
 Section: science
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: interactive physical simulator for KDE
  With Step you can not only learn but feel how physics works. You place some
  bodies on the scene, add some forces such as gravity or springs, then click
