=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -27,17 +28,17 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.2.0~),
                shared-mime-info,
-Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
-Standards-Version: 4.6.2
+Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/step
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 Rules-Requires-Root: no
 
 Package: step
 Architecture: any
 Section: science
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: interactive physical simulator for KDE
  With Step you can not only learn but feel how physics works. You place some
  bodies on the scene, add some forces such as gravity or springs, then click
