## step 24.11.80

=== debian/changelog ===
step (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 12:45:09 +0000

step (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:57:14 +0200

step (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Rebuild against latest libqalculate

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:59:59 -0400
