## step 24.12.0

=== step/icons/actions/CMakeLists.txt ===
include(ECMInstallIcons)

ecm_install_icons(
    ICONS
        22-actions-pointer.png
        22-actions-step_object_Anchor.png
        22-actions-step_object_Box.png
        22-actions-step_object_ChargedParticle.png
        22-actions-step_object_CircularMotor.png
        22-actions-step_object_Controller.png
        22-actions-step_object_CoulombForce.png
        22-actions-step_object_Disk.png
        22-actions-step_object_Gas.png
        22-actions-step_object_GasParticle.png
        22-actions-step_object_Graph.png
        22-actions-step_object_GravitationForce.png
        22-actions-step_object_LinearMotor.png
        22-actions-step_object_Meter.png
        22-actions-step_object_Note.png
        22-actions-step_object_Particle.png
        22-actions-step_object_Pin.png
        22-actions-step_object_Polygon.png
        22-actions-step_object_Rope.png
        22-actions-step_object_SoftBody.png
        22-actions-step_object_Spring.png
        22-actions-step_object_Stick.png
        22-actions-step_object_Tracer.png
        22-actions-step_object_WeightForce.png

    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)
