=== debian/control ===
--- 
+++ 
@@ -1,18 +1,25 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
+               libkf5config-dev (>= 5.90.0~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5iconthemes-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
+               libkf5plotting-dev (>= 5.90.0~),
+               libkf5textwidgets-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
                libkf6config-dev (>= 5.90.0~),
                libkf6crash-dev (>= 5.90.0~),
                libkf6i18n-dev (>= 5.90.0~),
@@ -23,15 +30,17 @@
                libkf6textwidgets-dev (>= 5.90.0~),
                libkf6xmlgui-dev (>= 5.90.0~),
                libqalculate-dev (>= 0.9.5),
+               libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),
                qt6-base-dev (>= 5.15.2~),
                qt6-svg-dev (>= 5.15.2~),
+               qtbase5-dev (>= 5.15.2~),
                shared-mime-info,
 Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
-Standards-Version: 4.7.0
-Homepage: https://apps.kde.org/en/step
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Standards-Version: 4.7.2
+Homepage: https://edu.kde.org/step/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
 Rules-Requires-Root: no
 
 Package: step
