## step 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
-set(QT_MIN_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.90.0")
+set(QT_MIN_VERSION "6.6.2")
+set(KF_MIN_VERSION "6.7.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
@@ -26,15 +26,13 @@
 include(FeatureSummary)
 include(ECMPoQmTools)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
     Xml
     Svg
+    OpenGLWidgets
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
-endif()
 
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Crash
     Config
     I18n
@@ -45,7 +43,7 @@
     TextWidgets
     XmlGui
 )
-find_package(KF${QT_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
+find_package(KF6DocTools ${KF_MIN_VERSION})
 find_package(Eigen3 3.2.2 REQUIRED)
 find_package(GSL)
 find_package(Qalculate)
@@ -85,7 +83,7 @@
     # Some other compiler
 endif()
 
-if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
+if(KF6DocTools_FOUND)
     ecm_optional_add_subdirectory(doc)
 endif()
 add_subdirectory(stepcore)
@@ -94,7 +92,7 @@
 
 ecm_install_po_files_as_qm(poqm)
 ki18n_install(po)
-if (KF${QT_MAJOR_VERSION}DocTools_FOUND)
+if (KF6DocTools_FOUND)
     kdoctools_install(po)
 endif()
 install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
