=== debian/changelog ===
step (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures, and in a single
    keyring.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.6.2
    - bump KF packages to 6.7.0
    - add libkf6doctools-dev for the documentation
    - remove libglib2.0-dev, no more needed
  * Drop the pkg-kde-tools build dependency, as dh-sequence-kf6 is used instead.
  * Rename debian/examples to debian/step.examples to make it explicit to which
    package it refers.
  * Drop patch wa_qt5.5_qvariant_to_string.diff, hopefully not needed anymore.
  * Stop passing -DQT_MAJOR_VERSION=6 to cmake, as step is Qt 6 only since
    version 25.08.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 18:33:21 +0200
