=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.7.0~),
               gettext,
               libeigen3-dev (>= 3.2.2~),
               libgsl-dev,
               libkf6config-dev (>= 6.7.0~),
               libkf6crash-dev (>= 6.7.0~),
               libkf6doctools-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.7.0~),
               libkf6iconthemes-dev (>= 6.7.0~),
               libkf6kio-dev (>= 6.7.0~),
               libkf6newstuff-dev (>= 6.7.0~),
               libkf6plotting-dev (>= 6.7.0~),
               libkf6textwidgets-dev (>= 6.7.0~),
               libkf6xmlgui-dev (>= 6.7.0~),
               libqalculate-dev (>= 0.9.5),
               qt6-base-dev (>= 6.6.2~),
               qt6-svg-dev (>= 6.6.2~),
               shared-mime-info,
Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/step/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.
